
import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import oracle.jsp.el.*;
import javax.el.*;


public class _salesPivot_jspx extends com.orionserver.http.OrionHttpJspPage {


  // ** Begin Declarations


  // ** End Declarations

  public void _jspService(HttpServletRequest request, HttpServletResponse response) throws java.io.IOException, ServletException {

    response.setContentType( "text/html;charset=windows-1252");
    /* set up the intrinsic variables using the pageContext goober:
    ** session = HttpSession
    ** application = ServletContext
    ** out = JspWriter
    ** page = this
    ** config = ServletConfig
    ** all session/app beans declared in globals.jsa
    */
    PageContext pageContext = JspFactory.getDefaultFactory().getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    int __jsp_tag_starteval;
    ServletContext application = pageContext.getServletContext();
    JspWriter out = pageContext.getOut();
    _salesPivot_jspx page = this;
    ServletConfig config = pageContext.getServletConfig();

    try {
      // compile time tag reuse - begin
      javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags = new javax.servlet.jsp.tagext.JspTag[8];
      // usage : com.sun.faces.taglib.jsf_core.ViewTag
      com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0 = (com.sun.faces.taglib.jsf_core.ViewTag) OracleJspRuntime.getTagHandler(pageContext, com.sun.faces.taglib.jsf_core.ViewTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag
      oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag
      oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag
      oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag inlineStyle text
      oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag.class, "compiletime");
      // usage : javax.faces.webapp.FacetTag name
      javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) OracleJspRuntime.getTagHandler(pageContext, javax.faces.webapp.FacetTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag id value inlineStyle
      oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag.class, "compiletime");
      // usage : oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag action text
      oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) OracleJspRuntime.getTagHandler(pageContext, oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag.class, "compiletime");
      // compile tag reuse - end


      if (__jsp_tag_ctru0_helper_1(pageContext, __ojsp_classicTags, __jsp_tag_ctru0, __jsp_tag_ctru1, __jsp_tag_ctru2, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7))
        return;

    }
    catch (java.lang.Throwable e) {
      if (!(e instanceof javax.servlet.jsp.SkipPageException)){
        try {
          if (out != null) out.clear();
        }
        catch (java.lang.Exception clearException) {
        }
        pageContext.handlePageException(e);
      }
    }
    finally {
      OracleJspRuntime.extraHandlePCFinally(pageContext, true);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
    }

  }
    
  private boolean __jsp_tag_ctru0_helper_1(PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0 = (com.sun.faces.taglib.jsf_core.ViewTag) tags[0];
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[5];
    oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) tags[9];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag) tags[4];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[10];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[2];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru0.setPageContext(pageContext);
      __jsp_tag_ctru0.setParent(null);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru0).setJspId("__jsp_tag_ctru0");
      __jsp_tag_starteval=__jsp_tag_ctru0.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru0,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru1_helper_2(__jsp_tag_ctru0, pageContext, __ojsp_classicTags, __jsp_tag_ctru1, __jsp_tag_ctru2, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7))
            return true;
        } while (__jsp_tag_ctru0.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru0.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru1_helper_2(com.sun.faces.taglib.jsf_core.ViewTag __jsp_tag_ctru0, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[4];
    oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) tags[8];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[2];
    oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag) tags[3];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[9];
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[1];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru1.setPageContext(pageContext);
      __jsp_tag_ctru1.setParent(__jsp_tag_ctru0);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru1).setJspId("__jsp_tag_ctru1");
      __jsp_tag_starteval=__jsp_tag_ctru1.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru1,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru2_helper_3(__jsp_tag_ctru1, pageContext, __ojsp_classicTags, __jsp_tag_ctru2))
            return true;
          if (__jsp_tag_ctru3_helper_4(__jsp_tag_ctru1, pageContext, __ojsp_classicTags, __jsp_tag_ctru3, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru6, __jsp_tag_ctru7))
            return true;
        } while (__jsp_tag_ctru1.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru1.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru2_helper_3(oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag __jsp_tag_ctru2 = (oracle.adfinternal.view.faces.unified.taglib.output.UnifiedMessagesTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru2.setPageContext(pageContext);
      __jsp_tag_ctru2.setParent(__jsp_tag_ctru1);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru2).setJspId("__jsp_tag_ctru2");
      __jsp_tag_starteval=__jsp_tag_ctru2.doStartTag();
      if (__jsp_tag_ctru2.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru3_helper_4(oracle.adfinternal.view.faces.unified.taglib.UnifiedDocumentTag __jsp_tag_ctru1, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[2];
    oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) tags[6];
    oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3 = (oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag) tags[0];
    oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag) tags[1];
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[7];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru3.setPageContext(pageContext);
      __jsp_tag_ctru3.setParent(__jsp_tag_ctru1);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru3).setJspId("__jsp_tag_ctru3");
      __jsp_tag_starteval=__jsp_tag_ctru3.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru3,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru4_helper_5(__jsp_tag_ctru3, pageContext, __ojsp_classicTags, __jsp_tag_ctru4, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru5, __jsp_tag_ctru6))
            return true;
          if (__jsp_tag_ctru7_helper_6(__jsp_tag_ctru3, pageContext, __ojsp_classicTags, __jsp_tag_ctru7))
            return true;
        } while (__jsp_tag_ctru3.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru3.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru4_helper_5(oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[1];
    oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) tags[5];
    oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4 = (oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru4.setPageContext(pageContext);
      __jsp_tag_ctru4.setParent(__jsp_tag_ctru3);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru4).setJspId("__jsp_tag_ctru4");
      __jsp_tag_ctru4.setInlineStyle(OracleUnifiedELRuntime.createValueExpression("width:200px;height:300px;",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru4.setText(OracleUnifiedELRuntime.createValueExpression("Sales Pivot Table",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru4.doStartTag();
      if (OracleJspRuntime.checkStartBodyTagEval(__jsp_tag_starteval))
      {
        out=OracleJspRuntime.pushBodyIfNeeded(pageContext,__jsp_tag_ctru4,__jsp_tag_starteval,out);
        do {
          if (__jsp_tag_ctru5_helper_7(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru5))
            return true;
          if (__jsp_tag_ctru5_helper_8(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru5))
            return true;
          if (__jsp_tag_ctru5_helper_9(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru5))
            return true;
          if (__jsp_tag_ctru5_helper_10(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru5))
            return true;
          if (__jsp_tag_ctru6_helper_11(__jsp_tag_ctru4, pageContext, __ojsp_classicTags, __jsp_tag_ctru6))
            return true;
        } while (__jsp_tag_ctru4.doAfterBody()==javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN);
        out=OracleJspRuntime.popBodyIfNeeded(pageContext,out);
      }
      if (__jsp_tag_ctru4.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru5_helper_7(oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru5.setPageContext(pageContext);
      __jsp_tag_ctru5.setParent(__jsp_tag_ctru4);
      __jsp_tag_ctru5.setName("info");
      __jsp_tag_starteval=__jsp_tag_ctru5.doStartTag();
      if (__jsp_tag_ctru5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru5_helper_8(oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru5.setPageContext(pageContext);
      __jsp_tag_ctru5.setParent(__jsp_tag_ctru4);
      __jsp_tag_ctru5.setName("legend");
      __jsp_tag_starteval=__jsp_tag_ctru5.doStartTag();
      if (__jsp_tag_ctru5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru5_helper_9(oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru5.setPageContext(pageContext);
      __jsp_tag_ctru5.setParent(__jsp_tag_ctru4);
      __jsp_tag_ctru5.setName("toolbar");
      __jsp_tag_starteval=__jsp_tag_ctru5.doStartTag();
      if (__jsp_tag_ctru5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru5_helper_10(oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    javax.faces.webapp.FacetTag __jsp_tag_ctru5 = (javax.faces.webapp.FacetTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru5.setPageContext(pageContext);
      __jsp_tag_ctru5.setParent(__jsp_tag_ctru4);
      __jsp_tag_ctru5.setName("context");
      __jsp_tag_starteval=__jsp_tag_ctru5.doStartTag();
      if (__jsp_tag_ctru5.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru6_helper_11(oracle.adfinternal.view.faces.unified.taglib.layout.UnifiedPanelHeaderTag __jsp_tag_ctru4, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag __jsp_tag_ctru6 = (oracle.adfinternal.view.faces.bi.taglib.pivotTable.PivotTableTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru6.setPageContext(pageContext);
      __jsp_tag_ctru6.setParent(__jsp_tag_ctru4);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru6).setJspId("__jsp_tag_ctru6");
      __jsp_tag_ctru6.setId("pivotTable1");
      __jsp_tag_ctru6.setValue(OracleUnifiedELRuntime.createValueExpression("#{bindings.SalesPivotTable1.pivotTableModel}",java.lang.Object.class,pageContext, null));
      __jsp_tag_ctru6.setInlineStyle(OracleUnifiedELRuntime.createValueExpression("width:800px;",java.lang.String.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru6.doStartTag();
      if (__jsp_tag_ctru6.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }
  
  private boolean __jsp_tag_ctru7_helper_6(oracle.adfinternal.view.faces.unified.taglib.UnifiedFormTag __jsp_tag_ctru3, PageContext pageContext, javax.servlet.jsp.tagext.JspTag[] __ojsp_classicTags, Object... tags  ) throws  java.lang.Throwable {
    
    oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag __jsp_tag_ctru7 = (oracle.adfinternal.view.faces.unified.taglib.nav.UnifiedCommandButtonTag) tags[0];
    
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    JspWriter out = pageContext.getOut();
    int __jsp_tag_starteval;

    {
      __jsp_tag_ctru7.setPageContext(pageContext);
      __jsp_tag_ctru7.setParent(__jsp_tag_ctru3);
((javax.servlet.jsp.tagext.JspIdConsumer) __jsp_tag_ctru7).setJspId("__jsp_tag_ctru7");
      __jsp_tag_ctru7.setAction(OracleUnifiedELRuntime.createMethodExpression("goBrowse",java.lang.String.class, new Class[] {}, pageContext, null));
      __jsp_tag_ctru7.setText(OracleUnifiedELRuntime.createValueExpression("Return",java.lang.Object.class,pageContext, null));
      __jsp_tag_starteval=__jsp_tag_ctru7.doStartTag();
      if (__jsp_tag_ctru7.doEndTag()==javax.servlet.jsp.tagext.Tag.SKIP_PAGE)
        return true;
    }
    return false;
  }

}
